import { CdmCorpusContext, CdmObjectReferenceBase, cdmObjectType, resolveOptions, VisitCallback, CdmTraitReferenceBase, CdmTraitGroupDefinition } from '../internal';
export declare class CdmTraitGroupReference extends CdmTraitReferenceBase {
    constructor(ctx: CdmCorpusContext, traitGroup: string | CdmTraitGroupDefinition, simpleReference: boolean);
    getObjectType(): cdmObjectType;
    /**
     * @internal
     */
    copyRefObject(resOpt: resolveOptions, refTo: string | CdmTraitGroupDefinition, simpleReference: boolean, host?: CdmObjectReferenceBase): CdmObjectReferenceBase;
    /**
     * @internal
     */
    visitRef(pathFrom: string, preChildren: VisitCallback, postChildren: VisitCallback): boolean;
}
